package com.goafanti.order.bo;

import java.math.BigDecimal;

import com.goafanti.common.model.TOrderBonus;

public class TOrderBonusBo extends TOrderBonus{
	
	private String targetName; //发放目标(可以是技术员和营销员)
	
	private String byName; //发放人
	
	private String salesName;//订单负责人
	
	private String commodityName;
	
	private Integer tid; //任务数量
	
	private Integer commodityQuantity; //任务数量
	
	private BigDecimal commodityPrice; //价格
	
	private Integer taskStatus; //任务状态
	
	private Integer liquidationStatus; //订单结算状态
	
	private String taskAllocator; //任务分配人
	
	private String taskReceiver; //任务负责人
	
	private Integer projectStatus; //项目状态
	
	private String acceptTime; //受理时间
	
	private String reviewTime; //评审日期
	
	private String publicityTime; //公示日期
	
	private String licenceTime; // 发证日期
	
	private String signTime; // 签单日期
	
	private String departmentId; // 部门id
	private String departmentName; // 部门名称
	private String startTime;
	private String endTime;
	private String startTime1;
	private String endTime1;
	
	private String buyId;
	private String saleId;
	private String buyName;
	private BigDecimal totalAmount; //签单金额
	private BigDecimal firstAmount; //首付
	private BigDecimal settlementAmount; //已收
	private BigDecimal refundAmount; //已付
	
	private Integer orderStatus; //订单状态
	private Float proofCount; //校对量
	private Integer proofStatus; //校对状态
	
	
	private String kejim;
	private String renzm;
	private String kejiy;
	private String renzy;
	
	private Integer main;

	public String getTargetName() {
		return targetName;
	}

	public void setTargetName(String targetName) {
		this.targetName = targetName;
	}

	public String getByName() {
		return byName;
	}

	public Integer getTid() {
		return tid;
	}

	public void setTid(Integer tid) {
		this.tid = tid;
	}

	public void setByName(String byName) {
		this.byName = byName;
	}

	public String getCommodityName() {
		return commodityName;
	}

	public void setCommodityName(String commodityName) {
		this.commodityName = commodityName;
	}

	public Integer getCommodityQuantity() {
		return commodityQuantity;
	}

	public void setCommodityQuantity(Integer commodityQuantity) {
		this.commodityQuantity = commodityQuantity;
	}

	public BigDecimal getCommodityPrice() {
		return commodityPrice;
	}

	public void setCommodityPrice(BigDecimal commodityPrice) {
		this.commodityPrice = commodityPrice;
	}

	public Integer getTaskStatus() {
		return taskStatus;
	}

	public void setTaskStatus(Integer taskStatus) {
		this.taskStatus = taskStatus;
	}

	public String getTaskAllocator() {
		return taskAllocator;
	}

	public void setTaskAllocator(String taskAllocator) {
		this.taskAllocator = taskAllocator;
	}

	public String getTaskReceiver() {
		return taskReceiver;
	}

	public void setTaskReceiver(String taskReceiver) {
		this.taskReceiver = taskReceiver;
	}

	public Integer getProjectStatus() {
		return projectStatus;
	}

	public void setProjectStatus(Integer projectStatus) {
		this.projectStatus = projectStatus;
	}

	public String getAcceptTime() {
		return acceptTime;
	}

	public void setAcceptTime(String acceptTime) {
		this.acceptTime = acceptTime;
	}

	public String getReviewTime() {
		return reviewTime;
	}

	public void setReviewTime(String reviewTime) {
		this.reviewTime = reviewTime;
	}

	public String getPublicityTime() {
		return publicityTime;
	}

	public void setPublicityTime(String publicityTime) {
		this.publicityTime = publicityTime;
	}

	public String getLicenceTime() {
		return licenceTime;
	}

	public void setLicenceTime(String licenceTime) {
		this.licenceTime = licenceTime;
	}

	public Integer getMain() {
		return main;
	}

	public void setMain(Integer main) {
		this.main = main;
	}

	public Integer getLiquidationStatus() {
		return liquidationStatus;
	}

	public void setLiquidationStatus(Integer liquidationStatus) {
		this.liquidationStatus = liquidationStatus;
	}

	public String getStartTime() {
		return startTime;
	}

	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}

	public String getEndTime() {
		return endTime;
	}

	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}

	public String getSalesName() {
		return salesName;
	}

	public void setSalesName(String salesName) {
		this.salesName = salesName;
	}

	public String getDepartmentId() {
		return departmentId;
	}

	public void setDepartmentId(String departmentId) {
		this.departmentId = departmentId;
	}

	public String getSignTime() {
		return signTime;
	}

	public void setSignTime(String signTime) {
		this.signTime = signTime;
	}

	public String getBuyId() {
		return buyId;
	}

	public void setBuyId(String buyId) {
		this.buyId = buyId;
	}

	public String getSaleId() {
		return saleId;
	}

	public void setSaleId(String saleId) {
		this.saleId = saleId;
	}

	public String getBuyName() {
		return buyName;
	}

	public void setBuyName(String buyName) {
		this.buyName = buyName;
	}

	public BigDecimal getTotalAmount() {
		return totalAmount;
	}

	public void setTotalAmount(BigDecimal totalAmount) {
		this.totalAmount = totalAmount;
	}

	public BigDecimal getFirstAmount() {
		return firstAmount;
	}

	public void setFirstAmount(BigDecimal firstAmount) {
		this.firstAmount = firstAmount;
	}

	public BigDecimal getSettlementAmount() {
		return settlementAmount;
	}

	public void setSettlementAmount(BigDecimal settlementAmount) {
		this.settlementAmount = settlementAmount;
	}

	public BigDecimal getRefundAmount() {
		return refundAmount;
	}

	public void setRefundAmount(BigDecimal refundAmount) {
		this.refundAmount = refundAmount;
	}

	public Integer getOrderStatus() {
		return orderStatus;
	}

	public void setOrderStatus(Integer orderStatus) {
		this.orderStatus = orderStatus;
	}

	public Float getProofCount() {
		return proofCount;
	}

	public void setProofCount(Float proofCount) {
		this.proofCount = proofCount;
	}

	public String getDepartmentName() {
		return departmentName;
	}

	public void setDepartmentName(String departmentName) {
		this.departmentName = departmentName;
	}

	public String getKejim() {
		return kejim;
	}

	public void setKejim(String kejim) {
		this.kejim = kejim;
	}

	public String getRenzm() {
		return renzm;
	}

	public void setRenzm(String renzm) {
		this.renzm = renzm;
	}

	public String getKejiy() {
		return kejiy;
	}

	public void setKejiy(String kejiy) {
		this.kejiy = kejiy;
	}

	public String getRenzy() {
		return renzy;
	}

	public void setRenzy(String renzy) {
		this.renzy = renzy;
	}

	public Integer getProofStatus() {
		return proofStatus;
	}

	public void setProofStatus(Integer proofStatus) {
		this.proofStatus = proofStatus;
	}

	public String getStartTime1() {
		return startTime1;
	}

	public void setStartTime1(String startTime1) {
		this.startTime1 = startTime1;
	}

	public String getEndTime1() {
		return endTime1;
	}

	public void setEndTime1(String endTime1) {
		this.endTime1 = endTime1;
	}
	
}
